%global debug_package %{nil}

Name:						velociraptor
Version:			  0.7.0
Release:        2
Summary:        Endpoint visibility and collection tool
License:        AGPL-3.0-only AND BSD-3-Clause
URL:            https://github.com/Velocidex/velociraptor
Source:         https://github.com/Velocidex/velociraptor/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:	golang-bin

%description
Endpoint visibility and collection tool.

%prep
%setup -q
%autopatch -p1

%build
eval $(go env)
export PATH="${PATH}:${GOPATH}/bin"
%{__make} linux

%install
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vd %{buildroot}%{_defaultdocdir}/velociraptor/third-party
install -m 0755 -vd %{buildroot}%{_defaultlicensedir}/velociraptor/third-party

install -m 0644 -vp %{_builddir}/velociraptor-%{version}/README.md %{buildroot}%{_defaultdocdir}/velociraptor/README
install -m 0644 -vp %{_builddir}/velociraptor-%{version}/third_party/zip/README.md %{buildroot}%{_defaultdocdir}/velociraptor/third-party/README-zip
install -m 0644 -vp %{_builddir}/velociraptor-%{version}/LICENSE %{buildroot}%{_defaultlicensedir}/velociraptor/LICENSE
install -m 0644 -vp %{_builddir}/velociraptor-%{version}/third_party/zip/LICENSE %{buildroot}%{_defaultlicensedir}/velociraptor/third-party/LICENSE-zip
install -m 0755 -vp %{_builddir}/velociraptor-%{version}/output/velociraptor-v%{version}* %{buildroot}%{_bindir}/velociraptor

%files
%license %{_defaultlicensedir}/velociraptor/LICENSE
%license %{_defaultlicensedir}/velociraptor/third-party/LICENSE-zip
%doc docs
%doc %{_defaultdocdir}/velociraptor/README
%doc %{_defaultdocdir}/velociraptor/third-party/README-zip
%doc debian/changelog
%doc vql/windows/wmi/parse/fixtures/sample.txt
%{_bindir}/*

%changelog
* Tue Aug 22 2023 Joel Goguen <jgoguen@meta.com> - 0.6.9-1
- Initial package
